Browse Source

Add Travis

Ayush Sharma 4 years ago
parent
commit
d415360faa
2 changed files with 30 additions and 0 deletions
  1. 22 0
      .travis.yml
  2. 8 0
      build_platformio.sh

+ 22 - 0
.travis.yml

@@ -0,0 +1,22 @@
+# Enable validating this file
+version: ~> 1.0
+
+language: python
+python:
+    - "2.7"
+sudo: false
+cache:
+    directories:
+        - "~/.platformio"
+
+jobs:
+  include:
+    - install:
+      - pip install -U platformio
+      - platformio update
+      script: ./build_platformio.sh
+
+notifications:
+  email:
+    on_success: change
+    on_failure: change

+ 8 - 0
build_platformio.sh

@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -euo pipefail
+
+pio lib -g install "ESP Async WebServer@1.2.3"
+
+pio ci --lib=. --board esp32dev "examples/ESP32_Async_Demo"
+pio ci --lib=. --board esp12e "examples/ESP8266_Async_Demo"